#ifndef GOSTHASH12_H
#define GOSTHASH12_H

#ifdef __cplusplus
extern "C" {
#endif

typedef struct gost12_hash_ctx {
    int sz;
    void *data;
} gost12_hash_ctx;

int start_hash12(gost12_hash_ctx *ctx, size_t length);
int hash_block12(gost12_hash_ctx *ctx, const unsigned char *block, size_t length);
int finish_hash12(gost12_hash_ctx *ctx, char unsigned *hashval);

#ifdef __cplusplus
}
#endif

#endif

