#ifndef _gost_hash_api_
#define _gost_hash_api_

typedef unsigned char byte;

#ifdef __cplusplus
extern "C" {
#endif

#include <unistd.h>

void gost_hash_block(
	void *block,
	size_t size,
	unsigned char hash[32]
	);

int gost_hash_file(
	int fd,
	size_t block_size,
	unsigned char hash[32]
	);

void gost12_hash_block(
	void *block,
	size_t size,
	unsigned char hash[32]
	);

int gost12_hash_file(
	int fd,
	size_t block_size,
	unsigned char hash[32]
	);

void gost12_hash_block_512(
	void *block,
	size_t size,
	byte out[64]
    );

int gost12_hash_file_512(
	int fd,
	size_t block_size,
	unsigned char hash[64]
	);

#ifdef __cplusplus
}
#endif




#endif // _gost_hash_api_
